import * as tslib_1 from "tslib";
import { IgrStrategyBasedIndicator } from "./igr-strategy-based-indicator";
import { PositiveVolumeIndexIndicator } from "./PositiveVolumeIndexIndicator";
/**
 * Represents a IgxDataChartComponent Positive Volume Index (PVI) indicator series.
 * Default required members: Close, Volume
*/
var IgrPositiveVolumeIndexIndicator = /** @class */ (function (_super) {
    tslib_1.__extends(IgrPositiveVolumeIndexIndicator, _super);
    function IgrPositiveVolumeIndexIndicator(props) {
        return _super.call(this, props) || this;
    }
    IgrPositiveVolumeIndexIndicator.prototype.createImplementation = function () {
        return new PositiveVolumeIndexIndicator();
    };
    Object.defineProperty(IgrPositiveVolumeIndexIndicator.prototype, "i", {
        get: function () {
            return this._implementation;
        },
        enumerable: true,
        configurable: true
    });
    return IgrPositiveVolumeIndexIndicator;
}(IgrStrategyBasedIndicator));
export { IgrPositiveVolumeIndexIndicator };
